Soporte » Instalación – Actualizaciones » Actualización plugin WPML

  • Hola,

    Hace 4 años cambiamos el tema de nuestro blog (traducido en 8 idiomas) y traspasamos todo el contenido, plugins, etc. Pero desde ahora no podemos traducir categorías, Widgets, menús… Creo que es porque tenemos una versión antigua del plugin WPML.

    Además, hace poco queríamos hacer un cambio en la estructura del menú, pero a pesar de que en el front de nuestro blog aparece el menú en todos los idiomas, en el editor no aparecían. Por lo que intenté hacer la sincronización de lenguajes automática para menú, y al guardar me aparecía todo el rato error 404. En el editor de menú aparecía como si los menús estuvieran traducidos (con el icono del lápiz), pero en el front del blog no aparecía menú en los idiomas secundarios. Tampoco aparecía la estructura del menú en el editor. ¿A qué puede ser debido o qué estamos haciendo mal?

    En concreto, de WPML tenemos estos plugins/versiones:

    – WPML Multilingual CMS: Version 2.8.1
    – WPML String Translation: 1.7.1

    No tenemos más plugins de WPML y en su página ofician veo que hay versiones mucho más nuevas y con más complementos. Tendríamos que pagar para descargar los nuevos plugins pero entiendo que es necesario. Querríamos saber qué complementos necesitaríamos.

    Mi pregunta es, si este es el procedimiento correcto, una vez tengamos descargado la nueva versión de plugin, al desinstalar las versiones antiguas y volver a instalar, se guardarán las traducciones que ya teníamos? Cómo tenemos que hacerlo?

    Gracias

    La página con la que necesito ayuda: [accede para ver el enlace]

Viendo 2 respuestas - de la 1 a la 2 (de un total de 2)
  • Hola @hollie-morton, entiendo que WPML es un plugin comercial. Por esta razón te recomiendo contactarte con su soporte oficial para que te brinden respuestas sobre su producto: https://wpml.org/

    Aparte de eso antes de realizar los cambios te recomiendo realizar un backup de tu instalacion de WordPress y de tu base de datos para que frente a cualquier inconveniente puedas restaurar el sitio facilmente.

    Saludos

    Iniciador del debate Marta Pons

    (@hollie-morton)

    Gracias por tu respuesta, Matías, pero para contactar con soporte de WPML necesito comprar primero su plugin.

    ¿No tenéis algún caso parecido para que me podáis orientar antes de comprar el nuevo plugin?

    Gracias

Viendo 2 respuestas - de la 1 a la 2 (de un total de 2)
  • Debes estar registrado para responder a este debate.